task getBam {
	File bam
	File bam_idx
	String sample
	String region
	String docker
	String cluster_config
	String disk_size
	
	command <<<
		/opt/conda/bin/samtools view -b ${bam} "${region}" > ${region}.${sample}.bam
		/opt/conda/bin/samtools index ${region}.${sample}.bam

	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File region_bam = "${region}.${sample}.bam"
		File region_bai = "${region}.${sample}.bam.bai"
	}
}
